PHP Manual
Prev |  | Next

# HttpResponse::setBufferSize

(no version information, might be only in CVS)

HttpResponse::setBufferSize -- Set buffer size

## Description

staticbool HttpResponse::setBufferSize ( int bytes )

Sets the send buffer size for use with HttpResponse::setThrottleDelay().

Provides a basic throttling mechanism, which will yield the current process resp. thread until the entity has been completely sent, though.

> Note: This doesn't really work with the FastCGI SAPI.

## Parameters

bytes

  the chunk size in bytes

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpResponse::send | Up | HttpResponse::setCacheControl